/*==========================================================================
//  Module de decryptage automatise :
//   1. declarer le chemin des fichiers descriptifs des langues
//   2. executer la cryptanalyse
//   3. liberer les donnees sur les langues
//========================================================================*/

#ifndef AUTO_H
#define AUTO_H

#include "define.h"
#include "search.h"
#include "ic.h"
#include "result.h"
#include "kh.h"
#include "shift.h"
#include "cipher.h"

#define AUTO_KH_LIMIT  100
#define AUTO_DEPTH_MAX 100
#define AUTO_DEPTH_MIN   6

extern int    auto_install(char *path);
extern char **auto_decipher(char *data, long length, int depth, short ratio);
extern void   auto_remove(void);

#endif
