/*==========================================================================
//  Module de chiffrement/dechiffrement
//   1. cipher_password()  teste une cle au format [+/-]PASSWORD
//                         mode=1 si + ou rien, mode=-1 si -
//   2. cipher_compute()   mode=1 pour chiffrer, mode=-1 pour dechiffrer
//========================================================================*/

#ifndef CIPHER_H
#define CIPHER_H

#include "define.h"

extern void  cipher_define(char min, char max);
extern char *cipher_password(char *password, int *mode);
extern char *cipher_compute(char *password, char *data, long length, int mode);

#endif
