/*==========================================================================
//  Module de recherche des longueurs possibles de la cle
//   1. 'length' est la longueur de 'data'
//   2. 'step' est la longueur des repetitions cherchees
//   3. 'buffer' est la distance maximale de recherche des repetitions
//   4. 'depth' est le nombre de propositions demande
//========================================================================*/

#ifndef SEARCH_H
#define SEARCH_H

#include "define.h"
#include "set.h"
#include "result.h"

extern result_p search_key_length(char *data, long length,
				  short step, int buffer, int depth);

#endif
